<!--.... Bus Departure schedule ......-->

<div class="busFilterMain moreBtm">


    <!--<div class="heading subNormal marginBtm whiteFont">BUS DEPARTURE SCHEDULE</div>-->
    <div class="">
        <!--<div class="floatRight marginTop">-->
        <!--<div class="btn clearDepBtn midBlock small"  ng-if="busEntryExitDetails.busDepatureFlag">Clear Departure</div>-->
        <!--&lt;!&ndash;           <div class="dropDown midBlock small marginLeft">-->
        <!--<div class="head" data-init=0>-->
        <!--<div class="headTitle">All lanes</div>-->
        <!--<div class="sign">-->
        <!--<img src="images/dropDown.png" alt=""/>-->
        <!--</div>-->
        <!--<span class="clear"></span>-->
        <!--</div>-->
        <!--<ul class="list">-->
        <!--<li>Lane 1</li>-->
        <!--<li>Lane 2</li>-->
        <!--<li>Lane 3</li>-->
        <!--</ul>-->
        <!--</div>&ndash;&gt;-->
        <!--</div>-->
        <!--<span class="clear"></span>-->

        <div class="busList">
            <div class="mainSummary marginBtm">
                <div class="content midBlock">

                </div>
                <div class="divider"></div>
                <div class="timeIndicator leftTxt smallest">
                    <div class="midBlock"> {{exitDate|date:'mediumTime'}}</div>
                    <div class="midBlock indicatorDot red marginLeftSrt"
                         ng-if="!busEntryExitDetails.busExitDataReceiveStatus"></div>
                    <div class="midBlock indicatorDot green marginLeftSrt"
                         ng-if="busEntryExitDetails.busExitDataReceiveStatus"></div>
                </div>
            </div>

            <div class="dataTable busTable">
                <div class="dataRow subNormal"
                     ng-repeat="busArrived in busEntryExitDetails.busExit | orderBy: '-date' | limitTo: 10">
                    <ul class="rowCont">
                        <li class="license">
                            <div class="content">
                                <div class="licensePlate">
                                    <img src="images/licenceHologram.png" class="licenseIcon" alt="">
                                    <div class="licenseNum">{{busArrived.plateNumber}}</div>
                                </div>
                            </div>
                        </li>
                        <li class="dep">
                            <div class="content">
                                <div class="midBlock">Dep -<span class="less">{{busArrived.date | date:'medium'}}</span>
                                </div>
                            </div>
                        </li>
                        <!-- <li class="arr">
                             <div class="content">
                                 <div class="">Arr - <span class="less">{{busArrived.date | date:'hh:mm'}}</span></div>
                             </div>
                         </li>-->
                        <!-- <li class="passengers">
                             <div class="content">
                                 <div class="num more">NA</div>
                             </div>
                         </li>-->
                        <li class="bus">
                            <div class="content">
                                <div class="busIconMain">
                                    <img src="images/scheduleBus.png" class="busIcon" alt="">
                                    <!--  <div class="number"  ng-if="busArrived.routeNumber">{{busArrived.routeNumber}}</div>-->
                                    <!--  <div class="number"  ng-if="!busArrived.routeNumber">NA</div>-->
                                    <div class="number"></div>
                                </div>
                            </div>
                        </li>
                        <!--<li class="captain">
                            <div class="content">
                                <div class="lightColor smallest marginBtmSrt roboLight">Captain</div>
                                <div class="small" ng-if="busArrived.driverName">{{busArrived.driverName}}</div>
                                <div class="small" ng-if="!busArrived.driverName">NA</div>
                            </div>
                        </li>-->
                        <!--<li class="lane">
                            <div class="content">
                                <div class="">NA</div>
                            </div>
                        </li>-->
                      <!--  <li class="route">
                            <div class="content small">
                                <div class="routeCont">
                                    <div class="">-</div>
                                    <img src="images/routeIcon.png" class="routeIcon" alt="">
                                    <div class="">-</div>
                                </div>
                            </div>
                        </li>-->
                        <span class="clear"></span>
                    </ul>
                </div>

                <div class="userMsg marginTop" ng-if="busEntryExitDetails.busExitClearFlag">
                    <div class="txt">Bus departure data cleared</div>
                </div>

            </div>
        </div>
        <!--.... pagination ...-->
        <div><!--
            <div class="floatLeft">
                <div class="btn clearDepBtn midBlock small">Previous</div>
            </div>-->
            <ul class="pagination marginTop">
                <li class="active" ng-click="getPreviousPageData('dep',busEntryExitDetails.busExitPageSelected)"
                    ng-hide="busEntryExitDetails.busExitPageSelected==1"><<
                </li>
                <li ng-class="{active: $index+1 == busEntryExitDetails.busExitPageSelected}"
                    ng-repeat="busExitCount in range(busEntryExitDetails.busExitCountPageNo) track by $index"
                    ng-click="setPageNoForDeparture($index+1)">{{$index+1}}
                </li>
                <li class="active" ng-click="getNextPageData('dep',busEntryExitDetails.busExitPageSelected)"
                    ng-show="busEntryExitDetails.busExitCompleteCount>10">>>
                </li>
            </ul><!--
            <div class="floatRight">
                <div class="btn clearDepBtn midBlock small">Next</div>
            </div>-->

        </div>
    </div>
</div>


<!--........ Delete User ........-->
<div class="clearDep popup">
    <div class="popupCont">
        <div class="txt">Do you want to clear departure list</div>
        <div class="formBtns small">
            <div class="save close btn midBlock marginRgt" ng-click="clearBusDeparture()">Clear</div>
            <div class="close btn midBlock">Cancel</div>
        </div>
    </div>
</div>